Loading...
Searching...
No Matches
Opm::FoamConfig Class Reference

Foam behaviour data for all SATNUM regions. More...

`#include <FoamConfig.hpp>`

## Public Types

enum class | MobilityModel { TAB , FUNC }
using | const_iterator = std::vector<FoamData>::const_iterator

## Public Member Functions

| FoamConfig (const Deck &)
const FoamData & | getRecord (std::size_t index) const
Opm::Phase | getTransportPhase () const
MobilityModel | getMobilityModel () const
std::size_t | size () const
bool | empty () const
const_iterator | begin () const
const_iterator | end () const
bool | operator== (const FoamConfig &data) const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static FoamConfig | serializationTestObject ()

## Detailed Description

Foam behaviour data for all SATNUM regions.

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/InitConfig/FoamConfig.hpp
- opm/input/eclipse/EclipseState/InitConfig/FoamConfig.cpp